<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Margin Boxes</title>
	<style>
		:root {
			font-family: monospace;
			font-size: 10pt;
		}

		@page {
			size: 10.5cm 14.8cm;
			margin: 1cm;
			padding: 0 .5cm;

			@top-left {
				content: "tl";
				width: 2cm;
				color: white;
				background-color: lightsteelblue;
				border: solid .1cm black;
			}

			@top-center {
				content: "tc";
				width: 1cm;
				color: white;
				background-color: lightsteelblue;
				border: solid .1cm black;
			}

			@top-right {
				content: element(tr);
				background-color: lightsteelblue;
				border: solid .1cm black;
			}

			@bottom-left {
				content: "bl";
				display: block;
				width: 2cm;
				color: white;
				background-color: lightsteelblue;
				border: solid .1cm black;
			}

			@bottom-center {
				content: "bc";
				display: block;
				width: 1cm;
				color: white;
				background-color: lightsteelblue;
				border: solid .1cm black;
			}

			@bottom-right {
				content: element(br);
				display: block;
				width: 1cm;
				color: white;
				background-color: lightsteelblue;
				border: solid .1cm black;
			}
		}

		h1 {
			text-align: center;
		}

		#tr {
			position: running(tr);
			width: .8cm;
			height: .8cm;
			color: white;
			background-color: lightcoral;
		}

		#br {
			position: running(br);
			display: block;
			width: .8cm;
			height: .8cm;
			color: white;
			background-color: lightcoral;
		}
	</style>
</head>
<body>
<main>
	<h1>Margin Boxes Alignement</h1>
	<span id="tr">tr</span>
	<span id="br">br</span>
</main>
</body>
</html>
